Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetAccountingPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.inet.common.bean.InetAccountingPeriod

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class InetAccountingPeriod extends Id implements Cloneable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAccountingPeriod()`
  `InetAccountingPeriod(int contractId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetAccountingPeriod`
  `clone()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getUserId()`
  `boolean`
  `isActive()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setUserId(int userId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetAccountingPeriod

    public InetAccountingPeriod()

  - ### InetAccountingPeriod

    public InetAccountingPeriod(int contractId)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### isActive

    public boolean isActive()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`

  - ### clone

    public InetAccountingPeriod clone()
    Overrides:
      `clone` in class `Object`